Summary: Miscellaneous perl HTML parsing module
Name: perl-HTML-Parser
Version: 3.20
Release: 1
Source: ftp://ftp.cpan.org/pub/CPAN/modules/by-module/HTML/HTML-Parser-%{version}.tar.gz
Copyright: Copyright: As Perl:- Artistic License or GPL
Group: Development/Libraries/Perl
Packager: Horms <horms@vergenet.net>
Prefix: /usr
URL: ftp://ftp.cpan.org/pub/CPAN/modules/by-module/HTML/HTML-Parser-%{version}.readme
Requires: perl >= 5.004 perl-HTML-Tagset
BuildRequires: perl >= 5.004 perl-HTML-Tagset
Buildroot: /tmp/%{name}-%{version}-%{release}-root
Provides: perl-HTML-Parser

%description
This is a collection of modules that parse and extract information
from HTML documents.  Bug reports and discussions about these modules
can be sent to the <libwww@perl.org> mailing list.  Remember to also
look at the HTML-Tree package that creates and extracts information from
HTML syntax trees.

%prep
%setup -n HTML-Parser-%{version}

%build
(echo; echo " "; yes "") | perl Makefile.PL
make OPTIMIZE="${RPM_OPT_FLAGS}"

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install
find $RPM_BUILD_ROOT/usr -type f -print |\
  sed -e "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > file-list.lst

%clean 
rm -rf $RPM_BUILD_DIR/HTML-Parser-%{version}
rm -rf $RPM_BUILD_ROOT
rm -f file-list.lst

%files -f file-list.lst
%defattr(-,root,root)
%docdir /usr/doc/%{name}-%{version}

%changelog
* Sat Apr  7 2001 Horms <horms@vergenet.net>
- Upgraded to version 3.20

* Thu Dec 14 2000 Horms <horms@vergenet.net>
- Updated to version 3.14. As a result packages now requires
  perl-HTML-Tagset

* Tue Aug 8 2000 Horms <horms@vergenet.net>
- updated to version 3.13

* Tue Aug 8 2000 Horms <horms@vergenet.net>
- updated to version 3.10

* Mon Jan 10 2000 Horms <horms@vergenet.net>
- made for version 3.02
- Inspired by perl packages built by alien
